package cn.com.poc.equity.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.equity.entity.BizPointDeductionRulesEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizPointDeductionRulesService extends BaseService {

    BizPointDeductionRulesEntity get(java.lang.Integer id) throws Exception;

    List<BizPointDeductionRulesEntity> findByExample(BizPointDeductionRulesEntity example,PagingInfo pagingInfo) ;
    
    BizPointDeductionRulesEntity save(BizPointDeductionRulesEntity entity) throws Exception;

    BizPointDeductionRulesEntity update(BizPointDeductionRulesEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
    
}